## libgetopt-java 1.0.14+dfsg

=== gnu/getopt/Makefile ===
# Makefile for Java port of GNU getopt

all: 
	javac LongOpt.java Getopt.java GetoptDemo.java

docs: 
	javadoc -author -version -public Getopt.java LongOpt.java
