## libgetopt-java 1.0.13

=== debian/changelog ===
libgetopt-java (1.0.13-4) unstable; urgency=low

  * Added build-arch and build-indep targets.
  * Bumped Standards-Versions to 3.9.2 - no changes required.
  * Compile javadoc during build instead of using the prebuilt one.
    - Link javadoc against the system javadoc
  * Split the javadoc to a separate package.
    - New location: /usr/share/doc/libgetopt-java-doc/api
  * Bumped debhelper compat 8.

 -- Niels Thykier <niels@thykier.net>  Fri, 28 Oct 2011 20:36:40 +0200

libgetopt-java (1.0.13-3) unstable; urgency=low

  * Team upload.
  * Remove Java runtime from Depends.
  * Remove Arnaud from Uploaders list.
  * Switch to source format 3.0.
  * Update Standards-Version: 3.9.1.

 -- Torsten Werner <twerner@debian.org>  Fri, 02 Sep 2011 22:47:02 +0200

libgetopt-java (1.0.13-2) unstable; urgency=low

  [ Damien Raude-Morvan ]
  * Fix debian/watch

  [ Gabriele Giacone ]
  * Added maven support
  * Standards-Version to 3.8.4

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Wed, 10 Feb 2010 23:14:44 +0100

libgetopt-java (1.0.13-1) unstable; urgency=low

  * New upstream release.
  * Lower Depends to default-jre-headless from default-jdk.
  * Made debian/rules determine the upstream version automatically.
  * Corrected LGPL to LGPL-2 in debian/copyright.
  * Added Homepage and Vcs-* fields to debian/control.

 -- Niels Thykier <niels@thykier.net>  Sun, 20 Sep 2009 17:47:57 +0200

libgetopt-java (1.0.11-3) unstable; urgency=low

  * (Build-)Depends on default-jdk.
  * Build-Depends on debhelper >= 7.
  * Use dh_prep instead of dh_clean -k.
  * Clarified debian/copyright.
  * Moved package to section 'java'
  * Moved Build-Depends-Indep to Build-Depends.
  * Let package Depends on ${misc:Depends}.
  * Clarified debian/copyright.
  * Removed Wolfgang and added myself to uploaders.
  * Updated Standards-Version to 3.8.3.

 -- Michael Koch <konqueror@gmx.de>  Tue, 15 Sep 2009 08:13:13 +0200

libgetopt-java (1.0.11-2) unstable; urgency=low

  * Removed Takashi Okamoto from the uploaders (closes: #352986).
  * Added myself as an uploader.

 -- Arnaud Vandyck <avdyk@debian.org>  Mon, 24 Apr 2006 22:11:17 +0200

libgetopt-java (1.0.11-1) unstable; urgency=low

  * New upstream release
  * Transfer maintainership to pkg-java maintainers
  * Removed old jar link to gnu.getopt.jar
  * /usr/doc/ ->  /usr/share/doc transition
  * Added compat file
  * Remove useless README.Debian
  * Install docs only once
  * Standards-Version 3.6.2
  * Added myself to uploaders

 -- Wolfgang Baer <WBaer@gmx.de>  Fri, 14 Oct 2005 16:26:24 +0200

libgetopt-java (1.0.9-8) unstable; urgency=low

  * fixed FTBFS bugs.(closes: #172873)
  * rename gnu.getopt.jar to gnu-getopt.jar.

 -- Takashi Okamoto <tora@debian.org>  Sat,  8 Feb 2003 09:43:58 +0900

libgetopt-java (1.0.9-7) unstable; urgency=low

  * fixed replace doesn't work correctly.
  * fixed invalid jar size already.(closes: #165013)

 -- Takashi Okamoto <tora@debian.org>  Sun, 29 Dec 2002 10:00:03 +0900

libgetopt-java (1.0.9-6) unstable; urgency=low

  * modify denends field for new Java Policy.

 -- Takashi Okamoto <tora@debian.org>  Sun, 29 Dec 2002 09:54:17 +0900

libgetopt-java (1.0.9-5) unstable; urgency=low

  * fixed FTBFS again.

 -- Takashi Okamoto <tora@debian.org>  Sun, 29 Dec 2002 09:43:28 +0900

libgetopt-java (1.0.9-4) unstable; urgency=low

  * rename the package name for Java Policy and make more simple.
  * fixed FTBFS.(closes: #172873)

 -- Takashi Okamoto <tora@debian.org>  Sun, 29 Dec 2002 09:09:59 +0900

lib-gnu.getopt-java (1.0.9-3) unstable; urgency=low

  * Fixed jar is null bug. (closes: #164071)

 -- Takashi Okamoto <tora@debian.org>  Wed, 16 Oct 2002 23:55:55 +0900

lib-gnu.getopt-java (1.0.9-1) unstable; urgency=low

  * New upstream release.
  * add dependency for jikes and kaffe.(Closes: #133733)
  * remove class files from obsolete directory /usr/share/java/repository.
  * remove GetoptDemo class from jar.

 -- Takashi Okamoto <tora@debian.org>  Sat, 16 Feb 2002 13:24:24 +0900

lib-gnu.getopt-java (1.0.8-1) unstable; urgency=low

  * New maintainer.
  * New upstream relase.

 -- Takashi Okamoto <tora@debian.org>  Mon, 13 Aug 2001 01:05:51 +0900

lib-gnu.getopt-java (1.0.6-1) unstable; urgency=low

  * New upstream release

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Tue, 29 Jun 1999 11:51:24 +0200

lib-gnu.getopt-java (1.0.5-1) unstable; urgency=low

  * Initial Release.

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Fri, 25 Jun 1999 14:16:14 +0200

Local variables:
mode: debian-changelog
End:
