=== debian/control ===
Source: libgetopt-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Michael Koch <konqueror@gmx.de>, Niels Thykier <niels@thykier.net>
Build-Depends: debhelper (>= 8), default-jdk, default-jdk-doc, javahelper (>= 0.33~),
               maven-repo-helper
Standards-Version: 3.9.2
Homepage: http://www.urbanophile.com/arenn/hacking/download.html
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/libgetopt-java
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/libgetopt-java

Package: libgetopt-java
Architecture: all
Depends: ${misc:Depends}, ${java:Depends}
Recommends: ${java:Recommends}
Suggests: default-jdk-doc
Description: GNU getopt - Java port
 The GNU Java getopt classes support short and long argument parsing 
 in a manner 100% compatible with the version of GNU getopt in glibc 
 2.0.6 with a mostly compatible programmer's interface as well. Note that 
 this is a port, not a new implementation.

Package: libgetopt-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${java:Depends}
Recommends: ${java:Recommends}
Description: GNU getopt - Java port (doc)
 The GNU Java getopt classes support short and long argument parsing 
 in a manner 100% compatible with the version of GNU getopt in glibc 
 2.0.6 with a mostly compatible programmer's interface as well. Note that 
 this is a port, not a new implementation.
 .
 This package contains the Java Programming API docs.
