=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export LIBRARY=gnu-getopt.jar
export VERSION=$(shell dpkg-parsechangelog | grep ^Version: | cut -f 2 -d " " | sed "s/-[^-]$$//")
export JAVA_HOME=/usr/lib/jvm/default-java
export JAVA=$(JAVA_HOME)/bin/java
export JAR=$(JAVA_HOME)/bin/jar
export JAVAC=$(JAVA_HOME)/bin/javac
export CLASSPATH=$(JAVA_HOME)/jre/lib/rt.jar:.

build: build-arch build-indep

build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	dh_testdir
	mkdir  classes
	${JAVAC} -target 1.3 -source 1.3 -d classes -classpath ${CLASSPATH} gnu/getopt/*.java
	cp gnu/getopt/*.properties classes/gnu/getopt
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -fr classes api
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	(cd classes; ${JAR} cvf ../gnu-getopt.jar gnu)
	javadoc -link /usr/share/doc/default-jdk-doc/api -d api/ gnu/getopt/*.java
	# Remove the javadoc of the example
	[ ! -f api/GetoptDemo.html ] || rm -f api/GetoptDemo.html


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs gnu/getopt/README
	dh_installexamples gnu/getopt/GetoptDemo.java
	dh_installchangelogs gnu/getopt/ChangeLog
	# maven
	mh_installpom -plibgetopt-java $(CURDIR)/debian/pom.xml
	mh_installjar -plibgetopt-java -ngnu-getopt -l $(CURDIR)/debian/pom.xml \
		$(CURDIR)/gnu-getopt.jar
	jh_installjavadoc
	jh_depends
	dh_compress	
	dh_link
	dh_installdeb
	dh_gencontrol
	dh_fixperms
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
