=== debian/watch ===
version=3
http://www.urbanophile.com/arenn/hacking/getopt/ \
       java-getopt-([\d.]+)\.tar\.gz
