## libgetopt-java 1.0.14%2Bdfsg

=== debian/changelog ===
libgetopt-java (1.0.14+dfsg-2+dyson1) unstable; urgency=low

  * Package for Dyson

 -- Igor Pashev <pashev.igor@gmail.com>  Fri, 29 Nov 2013 15:08:04 +0400

libgetopt-java (1.0.14+dfsg-2) unstable; urgency=low

  * Team upload.
  * Upload to unstable.

 -- tony mancill <tmancill@debian.org>  Wed, 15 May 2013 21:58:50 -0700

libgetopt-java (1.0.14+dfsg-1) experimental; urgency=low

  * New upstream release.
    - Repackage the tarball and remove pre-built class and html files.
  * Bump compat level to 9 and require debhelper >=9.
  * debian/control:
    - Add myself to Uploaders.
    - Remove Michael Koch from Uploaders because he is inactive.
      (Closes: #654063)
    - Remove Niels Thykier from Uploaders on his own request.
    - Add versioned dependency for maven-repo-helper.
    - Bump Standards-Version to 3.9.4, no changes necessary.
    - Use canonical Vcs-URI.
    - Move default-jdk and default-jdk-doc build dependencies to
      Build-Depends-Indep because both are only needed for arch-independent
      packages.
    - libgetopt-java: Suggest libgetopt-java-doc instead of default-jdk-doc.
    - libgetopt-java: Remove ${java:Depends} variable to avoid a dependency on
      openjdk-6-jre-headless which is not desired. See also lintian tag
      "needless-dependency-on-jre".
  * debian/rules:
    - Simplify debian/rules by using dh sequencer.
    - Use javahelper and jh_maven_repo_helper plugin.
    - Add get-orig-source target.
  * Update debian/copyright to copyright format 1.0.
  * Add libgetopt-java.jlibs and libgetopt-java.poms file. Use these files to
    install the jar file and all maven related information.
  * Update debian/pom.xml.
  * Rename README.Debian-source to README.source and update the file.
  * Drop dirs file. It is no longer needed.
  * Install the README via docs file.
  * Improve the watch file thus it can detect the latest upstream release.

 -- Markus Koschany <apo@gambaru.de>  Mon, 08 Apr 2013 16:49:50 +0200
