## libgetopt-java 1.0.14+dfsg

=== debian/changelog ===
libgetopt-java (1.0.14+dfsg-4) unstable; urgency=medium

  [ Chris West (Faux) ]
  * update -source and -target to be java 9 compatible

  [ Markus Koschany ]
  * Build only the relevant javadocs and exclude GetoptDemo.java.
    This will prevent a build failure with OpenJDK 9.
  * Switch to compat level 10.
  * Use https for Vcs and Format fields.
  * Update copyright years.
  * Declare compliance with Debian Policy 4.1.1.
  * Remove some unnecessary variables from debian/rules.

 -- Markus Koschany <apo@debian.org>  Sun, 08 Oct 2017 22:15:46 +0200

libgetopt-java (1.0.14+dfsg-3) unstable; urgency=medium

  * Moved the package to Git.
  * Update my e-mail address.
  * Declare compliance with Debian Policy 3.9.6.
  * Use only Build-Depends field for declaring build dependencies.

 -- Markus Koschany <apo@debian.org>  Fri, 27 Nov 2015 23:05:32 +0100
