=== debian/control ===
Source: libgetopt-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Markus Koschany <apo@debian.org>
Build-Depends:
 debhelper (>= 10),
 default-jdk,
 default-jdk-doc,
 javahelper (>= 0.33~),
 maven-repo-helper (>= 1.6~)
Standards-Version: 4.1.1
Homepage: http://www.urbanophile.com/arenn/hacking/download.html
Vcs-Git: https://anonscm.debian.org/git/pkg-java/libgetopt-java.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/libgetopt-java.git

Package: libgetopt-java
Architecture: all
Depends:
 ${misc:Depends}
Recommends:
 ${java:Recommends}
Suggests:
 libgetopt-java-doc
Description: GNU getopt - Java port
 The GNU Java getopt classes support short and long argument parsing
 in a manner 100% compatible with the version of GNU getopt in glibc
 2.0.6 with a mostly compatible programmer's interface as well. Note that
 this is a port, not a new implementation.

Package: libgetopt-java-doc
Architecture: all
Section: doc
Depends:
 ${java:Depends},
 ${misc:Depends}
Recommends:
 ${java:Recommends}
Description: GNU getopt - Java port (doc)
 The GNU Java getopt classes support short and long argument parsing
 in a manner 100% compatible with the version of GNU getopt in glibc
 2.0.6 with a mostly compatible programmer's interface as well. Note that
 this is a port, not a new implementation.
 .
 This package contains the Java Programming API docs.
