=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg//" \
http://www.urbanophile.com/arenn/hacking/download.html \
    getopt/java-getopt-([\d\.]*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
